Subject: Re: [PATCH v2 net-next 2/4] net: dsa: felix: use phylink_generic_validate()

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 14 Nov 2022 17:09:46 +0000

On Mon, Nov 14, 2022 at 07:07:28PM +0200, Vladimir Oltean wrote:
> Drop the custom implementation of phylink_validate() in favor of the
> generic one, which requires config->mac_capabilities to be set.
> 
> This was used up until now because of the possibility of being paired
> with Aquantia PHYs with support for rate matching. The phylink framework
> gained generic support for these, and knows to advertise all 10/100/1000
> lower speed link modes when our SERDES protocol is 2500base-x
> (fixed speed).
> 
> Signed-off-by: Vladimir Oltean <[email-masked]>

LGTM.

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!